Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.binding
Interface ControlBinding

All Known Subinterfaces:
  AttributeBinding, AttributesBinding, OperationBinding, RangeBinding

public interface ControlBinding

Base interface for all bindings that allow binding a View component to the data accessed via a datacontrol.

Method Summary
`java.lang.String` | `getName()` Return name that identifies this binding uniquely in it's container.
`java.lang.String` | `getPath()` Get a unique path to this instance of the control binding inside it's 'outermost' container that is referred in the BindingContext.
`void` | `release(int flags)` Releases this ControlBinding.
`boolean` | `resolvePath(java.util.Map postMap)` Given a map of name/value pairs, use this binding's path to find an entry in this map.
`void` | `setListener(UpdateListener listener)` Adds a listener that should be notified when the associated attribute value changes.

Method Detail

### release

    public void release(int flags)

  Releases this ControlBinding. This method is called when the view component has finished using this ControlBinding.
  Parameters:
    `flags` - specifies what references should be released. See DataControl for valid values.
  See Also:
    `DataControl.REL_ALL_REFS`, `DataControl.REL_DATA_REFS`, `DataControl.REL_VIEW_REFS`, `DataControl.REL_WEAK_DATA_REFS`

### setListener

    public void setListener(UpdateListener listener)

  Adds a listener that should be notified when the associated attribute value changes.
  Parameters:
    `listener` - The listener object that needs be notified.

### getPath

    public java.lang.String getPath()

  Get a unique path to this instance of the control binding inside it's 'outermost' container that is referred in the BindingContext. This string allows the control binding to extract it's data or action out of the postMap provided in resolvePath(). Both these apis are useful in web style clients and may not have much role to play in interactive clients like Swing.

### resolvePath

    public boolean resolvePath(java.util.Map postMap)

  Given a map of name/value pairs, use this binding's path to find an entry in this map. If found, return true so that controller logic may use that information to update binding's data if changed or otherwise.

### getName

    public java.lang.String getName()

  Return name that identifies this binding uniquely in it's container.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.